> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/applications/add-gsa-application-registration.md).

# Gsa アプリケーション登録の追加

### 説明

このスクリプトは、包括的な構成オプションを備えた新しい Global Secure Access Application registration を Azure Active Directory (Entra ID) に作成します。

アプリケーションに加えて、そのアプリケーションへのアクセスを管理するための Security Group が作成され（命名方式は Runbook Customization で設定可能）、アプリケーションの Service Principal に割り当てられます。

アプリケーションがすでに存在する場合、runbook は更新モードで実行されます。アプリ作成はスキップされ、segment / group / assignment の手順のみが実行されます。すべての参照（例: connector group）は、何かが作成される前に検証されます。後続の手順が失敗した場合でも、この実行で作成されたオブジェクト（アプリケーション、グループ）はロールバックされ、削除されます。既存のオブジェクト（更新モード）は削除されません。

### 場所

Organization → Applications → GSA Application Registration を追加

**Runbook の完全名**

rjgit-org\_applications\_add-GSA-application-registration

### 詳細

| プロパティ    | 値                                                                                       |
| -------- | --------------------------------------------------------------------------------------- |
| バージョン    | 1.3.3                                                                                   |
| 必要なモジュール | <p>RealmJoin.RunbookHelper (>= 0.8.9)<br>Microsoft.Graph.Authentication (>= 2.39.0)</p> |
| スケジュール可能 | いいえ                                                                                     |

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**：Microsoft Graph
  * Application.ReadWrite.All
    * *アプリをアプリケーション テンプレートからインスタンス化し、onPremisesPublishing を更新して、アプリ セグメントを追加します*
  * Directory.ReadWrite.All
    * *App Proxy エンドポイントに必要です: connector groups を読み取り、アプリの connectorGroup を割り当てます*
  * Group.ReadWrite.All
    * *アプリ用のアクセス Security Group を作成し、ロールバック時に削除します*
  * AppRoleAssignment.ReadWrite.All
    * */servicePrincipals/{id}/appRoleAssignedTo を介してアクセスグループをアプリに割り当てます*

### パラメーター

#### 名前

作成する Global Secure Access アプリケーションのベース名です。最終的なアプリケーション名は「 」として構築されます。

| プロパティ   | 値               |
| ------- | --------------- |
| 必須      | はい              |
| 既定値     |                 |
| 種類      | 文字列             |
| ポータル表示名 | アプリケーション名（重複不可） |

#### プレフィックス

アプリケーション名に追加されるプレフィックスです。プレフィックスが「-」「\_」またはスペースで終わらない限り、プレフィックスと名前の間にはスペースが挿入されます。例: プレフィックス "GSA-" + 名前 "MyApp" の結果、アプリケーション "GSA-MyApp" になります。

| プロパティ   | 値                 |
| ------- | ----------------- |
| 必須      | はい                |
| 既定値     |                   |
| 種類      | 文字列               |
| ポータル表示名 | アプリケーション名のプレフィックス |

#### groupPrefix

Security Group 名のプレフィックスです。グループ名は、アプリケーションのプレフィックスとは独立して "" として構築されます。例: groupPrefix "App - Entra - GSA - " + name "MyApp" の結果、グループ "App - Entra - GSA - MyApp" になります。既定値: "App - Entra - GSA - ".

| プロパティ   | 値                                              |
| ------- | ---------------------------------------------- |
| 必須      | いいえ                                            |
| 既定値     | App - Entra - GSA -                            |
| 種類      | 文字列                                            |
| ポータル表示名 | グループ名のプレフィックス（管理者定義、Runbook Customization で変更） |

#### groupSuffix

Security Group 名のオプションの接尾辞。例: " (ユーザー)"。既定値: 空。

| プロパティ    | 値                        |
| -------- | ------------------------ |
| 必須       | いいえ                      |
| 既定値      |                          |
| 種類       | 文字列                      |
| ポータルで非表示 | はい（Runbook のカスタマイズで事前設定） |

#### アプリケーションの種類

作成する GSA アプリケーションの種類です。オプション: "nonwebapp"（エンタープライズ アプリ）または "quickaccessapp"（クイック アクセス アプリ）。

| プロパティ   | 値               |
| ------- | --------------- |
| 必須      | はい              |
| 既定値     |                 |
| 種類      | 文字列             |
| ポータル表示名 | アプリケーションの種類（固有） |

**ポータルのオプション**

| ポータルオプション     | 値 |
| ------------- | - |
| エンタープライズ アプリ  |   |
| クイック アクセス アプリ |   |

#### コネクタ グループ

アプリケーションに使用する connectorGroup です。Runbook Customization で定義されている必要があります。

| プロパティ   | 値                                                    |
| ------- | ---------------------------------------------------- |
| 必須      | いいえ                                                  |
| 既定値     |                                                      |
| 種類      | 文字列                                                  |
| ポータル表示名 | コネクタ グループ（Runbook Customization でコネクタ グループを定義してください） |

#### 送信先ホスト

アプリケーションの送信先ホストまたは IP 範囲です。対応形式: FQDN（example.com）、単一 IP（192.168.0.1）、CIDR 表記（192.168.0.1/24）、または IP 範囲（192.168.0.1..192.168.0.20）。

| プロパティ   | 値                                                                                   |
| ------- | ----------------------------------------------------------------------------------- |
| 必須      | いいえ                                                                                 |
| 既定値     |                                                                                     |
| 種類      | 文字列                                                                                 |
| ポータル表示名 | 送信先ホストまたは範囲: example.com / 192.168.0.1 / 192.168.0.1/24 / 192.168.0.1..192.168.0.20 |

#### 送信先の種類

指定された送信先の種類です。オプション: "fqdn"、"ip"、"ipRangeCidr"、または "ipRange"。destinationHost の形式から自動的に決定されるため、UI では非表示です。

| プロパティ    | 値                        |
| -------- | ------------------------ |
| 必須       | いいえ                      |
| 既定値      |                          |
| 種類       | 文字列                      |
| ポータルで非表示 | はい（Runbook のカスタマイズで事前設定） |

#### ポート

アプリケーションに設定するポートです。単一ポート（443）、複数ポート（80,443）、またはポート範囲（8000-8080）に対応しています。

| プロパティ   | 値                            |
| ------- | ---------------------------- |
| 必須      | いいえ                          |
| 既定値     |                              |
| 種類      | 文字列                          |
| ポータル表示名 | ポート（例: 443、80,443、8000-8080） |

#### プロトコル

使用するネットワーク プロトコルです。オプション: "tcp"、"udp"、または "tcp,udp"。既定値は "tcp" です。

| プロパティ   | 値     |
| ------- | ----- |
| 必須      | いいえ   |
| 既定値     |       |
| 種類      | 文字列   |
| ポータル表示名 | プロトコル |

**ポータルのオプション**

| ポータルオプション | 値 |
| --------- | - |
| TCP       |   |
| UDP       |   |
| TCP,UDP   |   |

[Runbook Reference の概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/applications/add-gsa-application-registration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
